CREATE DATABASE  IF NOT EXISTS `tfm_dw` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `tfm_dw`;
-- MySQL dump 10.13  Distrib 5.6.17, for Win32 (x86)
--
-- Host: localhost    Database: tfm_dw
-- ------------------------------------------------------
-- Server version	5.6.23-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `d_almacen`
--

DROP TABLE IF EXISTS `d_almacen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_almacen` (
  `id_almacen` int(11) NOT NULL,
  `cod_almacen` varchar(10) DEFAULT NULL,
  `desc_almacen` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_almacen`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_articulo`
--

DROP TABLE IF EXISTS `d_articulo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_articulo` (
  `id_articulo` int(11) NOT NULL,
  `cod_articulo` varchar(15) DEFAULT NULL,
  `desc_articulo` varchar(100) DEFAULT NULL,
  `familia` varchar(30) DEFAULT NULL,
  `desc_familia` varchar(45) DEFAULT NULL,
  `sub_familia` varchar(10) DEFAULT NULL,
  `desc_sub_familia` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_articulo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_cliente`
--

DROP TABLE IF EXISTS `d_cliente`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_cliente` (
  `id_cliente` int(11) NOT NULL,
  `nif` varchar(9) DEFAULT NULL,
  `nombre_completo` varchar(45) DEFAULT NULL,
  `zona` int(11) NOT NULL,
  `tipo` int(11) NOT NULL,
  PRIMARY KEY (`id_cliente`),
  KEY `fk_zona_idx` (`zona`),
  KEY `fk_tipoCliente_idx` (`tipo`),
  CONSTRAINT `fk_tipoCliente` FOREIGN KEY (`tipo`) REFERENCES `d_tipocliente` (`id_tipoCliente`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_zona` FOREIGN KEY (`zona`) REFERENCES `d_zona` (`id_zona`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_comercial`
--

DROP TABLE IF EXISTS `d_comercial`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_comercial` (
  `id_comercial` int(11) NOT NULL,
  `nif` varchar(9) DEFAULT NULL,
  `nombre` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_comercial`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_concepto`
--

DROP TABLE IF EXISTS `d_concepto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_concepto` (
  `id_concepto` int(11) NOT NULL,
  `cod_concepto` varchar(10) DEFAULT NULL,
  `desc_concepto` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_concepto`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_delegacion`
--

DROP TABLE IF EXISTS `d_delegacion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_delegacion` (
  `id_delegacion` int(11) NOT NULL,
  `cod_delegacion` varchar(10) DEFAULT NULL,
  `desc_delegacion` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_delegacion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_fecha`
--

DROP TABLE IF EXISTS `d_fecha`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_fecha` (
  `id_fecha` int(11) NOT NULL,
  `fecha_larga` varchar(10) DEFAULT NULL,
  `anio` int(11) DEFAULT NULL,
  `mes` int(11) DEFAULT NULL,
  `desc_mes` varchar(20) DEFAULT NULL,
  `semana_anio` int(11) DEFAULT NULL,
  `dia` int(11) DEFAULT NULL,
  `desc_dia_semana` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id_fecha`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_formapago`
--

DROP TABLE IF EXISTS `d_formapago`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_formapago` (
  `id_formaPago` int(11) NOT NULL,
  `cod_forma` varchar(10) DEFAULT NULL,
  `desc_forma` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_formaPago`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_tipocliente`
--

DROP TABLE IF EXISTS `d_tipocliente`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_tipocliente` (
  `id_tipoCliente` int(11) NOT NULL,
  `cod_tipoCliente` varchar(20) DEFAULT NULL,
  `desc_tipoCliente` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_tipoCliente`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_tipodato`
--

DROP TABLE IF EXISTS `d_tipodato`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_tipodato` (
  `id_tipoDato` int(11) NOT NULL,
  `cod_tipoDato` varchar(10) DEFAULT NULL,
  `desc_tipoDato` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_tipoDato`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_tipolinea`
--

DROP TABLE IF EXISTS `d_tipolinea`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_tipolinea` (
  `id_tipoLinea` int(11) NOT NULL,
  `cod_tipoLinea` varchar(10) DEFAULT NULL,
  `desc_tipoLinea` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id_tipoLinea`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `d_zona`
--

DROP TABLE IF EXISTS `d_zona`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `d_zona` (
  `id_zona` int(11) NOT NULL,
  `pais` varchar(20) DEFAULT NULL,
  `provincia` varchar(30) DEFAULT NULL,
  `poblacion` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_zona`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `h_venta`
--

DROP TABLE IF EXISTS `h_venta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `h_venta` (
  `id_venta` int(11) NOT NULL,
  `id_fecha` int(11) NOT NULL,
  `id_zona` int(11) NOT NULL,
  `id_comercial` int(11) NOT NULL,
  `id_cliente` int(11) NOT NULL,
  `id_articulo` int(11) NOT NULL,
  `id_delegacion` int(11) NOT NULL,
  `id_almacen` int(11) NOT NULL,
  `id_tipoCliente` int(11) NOT NULL,
  `id_formaPago` int(11) NOT NULL,
  `id_concepto` int(11) NOT NULL,
  `id_tipoDato` int(11) NOT NULL,
  `id_tipoLinea` int(11) DEFAULT NULL,
  `total_unidades` float DEFAULT NULL,
  `total_coste` float DEFAULT NULL,
  `total_comisiones` float DEFAULT NULL,
  `total_importes` float DEFAULT NULL,
  PRIMARY KEY (`id_venta`),
  KEY `fk_h_venta_d_articulo_idx` (`id_articulo`),
  KEY `fk_h_venta_d_fecha1_idx` (`id_fecha`),
  KEY `fk_h_venta_d_cliente1_idx` (`id_cliente`),
  KEY `fk_h_venta_d_comercial1_idx` (`id_comercial`),
  KEY `fk_h_venta_d_zona1_idx` (`id_zona`),
  KEY `fk_h_venta_d_almacen1_idx` (`id_almacen`),
  KEY `fk_h_venta_d_delegacion1_idx` (`id_delegacion`),
  KEY `fk_h_venta_d_tipoCliente1_idx` (`id_tipoCliente`),
  KEY `fk_h_venta_d_formaPago_idx` (`id_formaPago`),
  KEY `fk_h_venta_d_concepto_idx` (`id_concepto`),
  KEY `fk_h_venta_d_tipoDato_idx` (`id_tipoDato`),
  CONSTRAINT `fk_h_venta_d_almacen` FOREIGN KEY (`id_almacen`) REFERENCES `d_almacen` (`id_almacen`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_h_venta_d_articulo` FOREIGN KEY (`id_articulo`) REFERENCES `d_articulo` (`id_articulo`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_h_venta_d_cliente` FOREIGN KEY (`id_cliente`) REFERENCES `d_cliente` (`id_cliente`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_h_venta_d_comercial` FOREIGN KEY (`id_comercial`) REFERENCES `d_comercial` (`id_comercial`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_h_venta_d_concepto` FOREIGN KEY (`id_concepto`) REFERENCES `d_concepto` (`id_concepto`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_h_venta_d_delegacion` FOREIGN KEY (`id_delegacion`) REFERENCES `d_delegacion` (`id_delegacion`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_h_venta_d_fecha` FOREIGN KEY (`id_fecha`) REFERENCES `d_fecha` (`id_fecha`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_h_venta_d_formaPago` FOREIGN KEY (`id_formaPago`) REFERENCES `d_formapago` (`id_formaPago`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_h_venta_d_tipoCliente` FOREIGN KEY (`id_tipoCliente`) REFERENCES `d_tipocliente` (`id_tipoCliente`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_h_venta_d_tipoDato` FOREIGN KEY (`id_tipoDato`) REFERENCES `d_tipodato` (`id_tipoDato`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_h_venta_d_zona1` FOREIGN KEY (`id_zona`) REFERENCES `d_zona` (`id_zona`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='	';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping events for database 'tfm_dw'
--

--
-- Dumping routines for database 'tfm_dw'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-06-14 20:59:31
